Package org.eclipse.emf.cdo.server

# Class IRepositoryProtector.UserAuthenticator

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.emf.cdo.server.IRepositoryProtector.Element
org.eclipse.emf.cdo.server.IRepositoryProtector.UserAuthenticator

All Implemented Interfaces:
  `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`, `org.eclipse.net4j.util.security.AdministrationPredicate`

Enclosing interface:
  IRepositoryProtector

public abstract static class IRepositoryProtector.UserAuthenticator extends IRepositoryProtector.Element implements org.eclipse.net4j.util.security.AdministrationPredicate

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`IRepositoryProtector.UserAuthenticator.PasswordChangeSupport`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Constructor
Description
`UserAuthenticator()`

## Method Summary

Modifier and Type
Method
Description
`abstract IRepositoryProtector.UserInfo`
`authenticateUser(String userID, char[] password)`
`Class<? extends IRepositoryProtector.UserInfo>`
`getUserInfoClass()`
`boolean`
`isAdministrator(String userID)`

### Methods inherited from class org.eclipse.emf.cdo.server.IRepositoryProtector.Element

`checkRepositoryProtector, doBeforeActivate, getContainer, getRepositoryProtector, setRepositoryProtector`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### UserAuthenticator

public UserAuthenticator()

## Method Details

### getUserInfoClass

public Class<? extends IRepositoryProtector.UserInfo> getUserInfoClass()

### authenticateUser

public abstract IRepositoryProtector.UserInfo authenticateUser(String userID, char[] password)

### isAdministrator

public boolean isAdministrator(String userID)

Specified by:
  `isAdministrator` in interface `org.eclipse.net4j.util.security.AdministrationPredicate`